# GitHub Copilot Instructions

## Context
- This is a GitHub Profile Repository serving as a professional portfolio
- Primary focus on showcasing software engineering expertise and projects
- Reference README.md for current portfolio structure and project details
- Deployed on GitHub Pages - all code must work with static content deployment

## Language Guidelines
- Primary output in English for wider reach
- Spanish translations allowed for region-specific content
- Code comments should always be in English

## Code Quality Standards
- Write modern, maintainable code using latest stable versions
- Follow SOLID principles and clean code practices
- Prioritize readability and documentation
- Avoid deprecated methods or libraries
- Code must be compatible with static site hosting constraints

## Documentation Requirements
- All functions and methods must include JSDoc comments
- README files should be portfolio-focused
- Include clear project descriptions and tech stack details
- Add badges where relevant (build status, coverage, etc.)

## Portfolio Best Practices
- Focus on demonstrating best practices
- Include examples of testing approaches
- Showcase architectural decisions
- Emphasize scalable and professional solutions